Skip to main content

Regenerate Secret Key

Use this endpoint to generate a new secret key and replace the old one

Available Environments​

https://api.gateway.com.br/core

Endpoint​

  • Method: POST
  • Endpoint: /auth/regenerate-secret
  • Authentication: Bearer token

Request Example​

curl --request POST \
--url https://api.gateway.com.br/core/auth/regenerate-secret \
--header 'Authorization: Bearer your-jwt-token'

Success Response​

FieldTypeDescription
client_idstring (UUID)Unique identifier
client_secretstringAuthentication secret key

Response Example​

{
"client_id": "553e8400-e29...",
"client_secret": "BvYIm4sb5CuAuq..."
}

Possible Errors​

CodeDescriptionSolution
401Invalid credentialsCheck your credentials
403No permission/authorizationContact support
500Internal errorContact support